package com.beagle.base.service;

import com.beagle.base.BasePointsPropertiesNewParam;
import com.beagle.base.bean.vo.BasePointsPropertiesParam;
import com.beagle.base.bean.vo.BaseSearchParam;
import com.beagle.base.bean.vo.BaseSearchPointCountParam;
import com.beagle.base.bean.vo.BaseTableTagNamesParam;
import com.rtdb.model.FullPoint;
import com.rtdb.model.MinPoint;

import java.util.List;

/**
 * @author lzz
 */
public interface BaseService {

    int[] search(BaseSearchParam param);

    List<FullPoint> getPointsProperties(BasePointsPropertiesParam param);

    Integer searchPointCount(BaseSearchPointCountParam param);

    String[] getTableTagNames(BaseTableTagNamesParam param);

    List<MinPoint> getPointsPropertiesTags(BasePointsPropertiesNewParam param);
}
